DY_END - End a dialog box


handle = DY_END("callback", x, y, ww, hh, "Grab"|"Nograb"{, Rb, Gb, Bb})

DY_END terminates the dialog box started with DY_START.

handle     is the dialog box number to be used with the various DY_XXX()
           functions.

callback   when used in an SEDIT macro, callback is the SEDIT macro called
           at every user action.

           when used in a stand-alone REXX program, callback is the name
           of a subroutine to be called at every user action.

           callback receives two arguments:

           handle          the dialog box handle.
           reason          Bi      Button i.
                           Fi      Top function key i.
                           Li      Left function key i.
                           Ri      Right function key i.
                           ^cc     Control + cc character.
                           return  Return or Enter key.
                           focus   The mouse entered the dialog box.
                           SCi     Simple click on row scb of scrolled
                                   list i.
                           DSCi    Double click on row scb of scrolled
                                   list i.
                           scb     The row when clicking on a scrolled
                                   list.



x           is the dialog box column position. When x is set to 0, the
            dialog box is horizontally centered regarding the SEDIT window
            position.

y           is the dialog box line position. When y is set to 0, the
            dialog box is vertically centered regarding the SEDIT window
            position.

ww          is the dialog box width.

hh          is the dialog box height.

Grab        creates a transient dialog box. The user must enter a reply
            before being able to use SEDIT again. The dialog box is
            unmapped when the reply is entered.

Nograb      creates a non-transient dialog box. The box stays mapped until
            the user unmaps it explicitly.

Rb, Gb, Bb  are the background color RGB values. These are integers
            between 0 and 255. The default MOTIF background color can be
            set with the dialog*background X11 resource.
