REGISTRY_VALUES - REGISTRY Values Enumeration


On WINDOWS systems, REGISTRY_VALUES() is used to enumerate the values of
the specified registry key.

rc = REGISTRY_VALUES(hkey, where, stem)

hkey    is the key root location in the registry. hkey can be one of the
        following strings:

        HKEY_CLASSES_ROOT
        HKEY_CURRENT_USER
        HKEY_LOCAL_MACHINE
        HKEY_USERS
        HKEY_CURRENT_CONFIG
        HKEY_DYN_DATA

where   is the location of the key in the hkey tree. When set to an empty
        string, the hkey values are enumerated.

stem    is the name of a valid REXX name.

stem.0  will contain the number of enumerated values.

stem.i  will contain the ith enumerated values.

rc      is the number of enumerated values when the call succeeds, or an
        error message starting with the "REGISTRY_VALUES Error:" string.


Example:

   call registry_values("HKEY_LOCAL_MACHINE",,
    "SOFTWARE\Program Groups", tab)
   do i = 1 to tab.0
      say tab.i
   end
