SETVAL_RX - Set an S/REXX variable.


void setval_rx(symb, l_symb, str, l_str)
  char *symb, *str;
  int l_symb, l_str;



symb is a character string which must contain a valid S/REXX name.
l_symb is its length.

str is a character string to be assigned to symb. l_str is its length.

Example: A C demo7.c program:


-----------------------------------------------------------------------
#include <stdio.h>

int call_back(string, len)
  char *string;
{
  printf ("call_back: received \"%s\"\n", string);
  setval_rx(string, len, "Value assigned", 14);
  return(0);
}

main()
{
  env_rx("MyEnv", call_back, 1);
  run_rx("r_demo7", "../..", NULL, NULL, NULL);
}
-----------------------------------------------------------------------

A r_demo7 S/REXX program called by the demo7 program:

-----------------------------------------------------------------------
say 'val = 'val
'val'
say 'val = 'val
-----------------------------------------------------------------------

To compile and execute this program, issue the following commands:


-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo7
cc -O -o demo7 demo7.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
9.1u 1.4s 0:11 95% 0+904k 12+58io 12pf+0w
C{demo_sr}% demo7
val = VAL
call_back: received "val"
val = Value assigned
C{demo_sr}%
-----------------------------------------------------------------------

where {install-dir} is the actual S/REXX installation directory.
