SockSocket - Create a Socket

SockSocket(domain, type, protocol)
socket(domain, type, protocol)

creates an endpoint for communication and returns a socket descriptor
representing the endpoint.

domain      specifies a communications domain within which communication
            will take place. SockSocket supports only the "AF_INET"
            (identical to "PF_INET") domain.

type        The socket has the indicated type, which specifies the
            communication semantics. type may be "SOCK_STREAM",
            "SOCK_DGRAM", or "SOCK_RAW"

protocol    is the protocol family which should be used. protocol may be
            "IPPROTO_UDP", "IPPROTO_TCP", or a whole number (generally 0).


SockSocket sets the errno variable to 0 in case of success, or to one of
the following error codes:

EACCES           Permission to create a socket of the specified type
                 and/or protoco l is denied.

EMFILE           The per-process descriptor table is full.

ENOMEM           Insufficient user memory is available.

ENOSR            There were insufficient STREAMS resources available to
                 complete the operation.

EPROTONOSUPPORT  The protocol type or the specified protocol is not
                 supported within this domain.
