SockSend - Send Data


rc = SockSend(s, data{, flags})
rc = send(s, 'data'{, flags})

sends data on a connected socket.

rc      -1 in case of failure or the number of bytes sent.

data    the data to be sent.

flags   is an optional blank delimited list of options:

          MSG_OOB        Sends out-of-band data on sockets that support
                         SOCK_STREAM communication.

          MSG_DONTROUTE  The SO_DONTROUTE option is turned on for the
                         duration of the operation. This is usually used
                         only by diagnostic or routing programs.


SockSend() sets the errno variable to 0 in case of success, or to one of
the following error codes:

EBADF        s is an invalid file descriptor.

EINTR        the operation was interrupted by delivery of a signal before
             any data could be buffered to be sent.

EMSGSIZE     the socket requires that message be sent atomically, and the
             message was too long.

ENOMEM       there was insufficient memory available to complete the
             operation.

ENOSR        there were insufficient STREAMS resources available for the
             operation to complete.

ENOTSOCK     s is not a socket.

EWOULDBLOCK  the socket is marked non-blocking and the requested operation
             would block.
