SORT - Sort a list

SORT(tab, desc, start, end)

  tab     is a valid REXX symbol. The derived stem values (tab.1, tab.2,
          etc...) will be sorted accordingly to the desc string.

  desc    is a string describing how to sort tab.
          desc is a list of paired columns, which may be preceded with
          Ascending, Descending, N or n, X or x, Z or z, which indicates the order in
          which to sort the field and the type of field, and all
          subsequent fields, until another Ascending or Descending or N or
          n parameter is encountered.

          N indicates a numerical field to be sorted in ascending order.

          n indicates a numerical field to be sorted in descending order.

          X indicates a field to be sorted in natural ascending order.

          x indicates a field to be sorted in natural descending order.

          Z indicates a field to be sorted in natural ascending order
          while ignoring the case. See the SEDIT SORT command for a
          description of natural order sorting.

          z indicates a field to be sorted in natural descending order
          while ignoring the case.

          Ascending, regardless of the case, indicates an alphanumeric
          field to be sorted in ascending order.

          Descending, regardless of the case, indicates an alphanumeric
          field to be sorted in descending order.

          An asterisk * as a second column indicates the end of the string
          to be sorted.

  start   indicates the rank of the first stem to be sorted. When not
          specified, it defaults to 1.

  end     indicates the rank of the last stem to be sorted. When not
          specified, it defaults to tab.0.


Example:        call sort list, "a 1 12 d 13 24 N 25 *", 2, 13
