STOP_RX - Stop an S/REXX program.

void stop_rx(str, l_str, rc)
  char *str;
  int l_str, rc;


stop_rx will make S/REXX behave as if the statement "EXIT STR" had been
entered. run_rx will return to its caller with a rc return code. l_str is
str length. str may be NULL, which will simulate a simple "EXIT"
statement.


Example: A C demo8.c program:

-----------------------------------------------------------------------
#include <stdio.h>
int call_back(string, len)
  char *string;
  int len;
{
  printf ("call_back: received \"%s\"\n", string);
  stop_rx(string, len, 12);
  return(0);
}
main()
{
  char *exit_value;
  int len_exit_value, rc;
  env_rx("MyEnv", call_back, 1);
  rc = run_rx("r_demo8", "/home/xed", NULL, &exit_value,
               &len_exit_value);
   if (exit_value)
    printf ("demo8: exit_value = \"%s\"\n", exit_value);
   exit(rc);
}
-----------------------------------------------------------------------


A r_demo8 S/REXX program called by the demo7 program:


-----------------------------------------------------------------------
say 'demo8 started'
'exiting'
say 'Not displayed'
-----------------------------------------------------------------------

To compile and execute this program, issue the following commands:

-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo8
cc -O -o demo8 demo8.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
6.6u 1.5s 0:08 95% 0+868k 3+62io 0pf+0w
C{demo_sr}% demo8
demo8 started
call_back: received "exiting"
demo8: exit_value = "exiting"
C{demo_sr}%
-----------------------------------------------------------------------

where {install-dir} is the actual S/REXX installation directory.
