SysFileSearch - Scan File


SysFileSearch(str, file, 'stem.'{, opt})

searches the 'file' file to find all lines containing the str string. file
may include the ~ .. UNIX or WINDOWS file meta characters.

    str         the string to match.

    file        the file to search.

    'stem.'     the name of a stem variable used to return the result of
                the search.

    stem.0      the number of matching lines.

    stem.i      the content of a matching line. When opt contains the N
                option, stem.i contains the line number.

    opt         an optional string containing one of the following
                one-character options:

                N   returns the file line numbers
                C   conducts a case-sensitive search.

By default, the search is case-insensitive without line numbers.

Return Codes:

0       Successful.
3       Error opening file.
4       Error reading file.


Example:

    call SysFileSearch 'spool', '/etc/passwd', 'stem.', 'n'
    do i = 1 to stem.0
       say stem.i
    end

could print:

    7 lp:x:71:8:Line Printer Admin:/usr/spool/lp:
    10 nuucp:x:9:9:uucp Admin:/var/spool/uucppublic
