SysSetPriority - Change the Priority


SysSetPriority(class, delta)changes the priority of the current process.

On UNIX systems:

class   the type of priority to change:

        0               no changes.
        1               the scheduling priority of the process.
        2               the scheduling priority of the process  group.
        3               the scheduling priority of the user.

delta   the delta (positive or negative) applied to the process priority.
        The process default priority is 0, and can vary between -20 and
        +20. Only the superuser can lower the priority. Lower priorities
        cause more favorable scheduling.

On WINDOWS systems:

class   the type of priority to set:

0       no changes.

1       IDLE_PRIORITY_CLASS: specify this class for a process whose
        threads run only when the system is idle. The threads of the
        process are preempted by the threads of any process running in a
        higher priority class. An example is a screen saver. The
        idle-priority class is inherited by child processes.

2       NORMAL_PRIORITY_CLASS: specify this class for a process with no
        special scheduling needs.

3       HIGH_PRIORITY_CLASS: specify this class for a process that
        performs time-critical tasks that must be executed immediately.
        The threads of the process preempt the threads of normal or idle
        priority class processes. Use extreme care when using the
        high-priority class, because a high-priority class application can
        use nearly all available CPU time.

4       REALTIME_PRIORITY_CLASS: specify this class for a process that has
        the highest possible priority. The threads of the process preempt
        the threads of all other processes, including operating system
        processes performing important tasks. For example, a real-time
        process that executes for more than a very brief interval can
        cause disk caches not to flush or cause the mouse to be
        unresponsive.

delta   ignored.

Note:   SysSetPriority() is not supported on SCO systems.


Return Codes:

   0       Success.
   1       Unable to get current priority.
   2       Unable to set priority.
   307     Invalid priority class.
