TRACE - Debug setting

S/REXX adds the following extensions to the TRACE verb:

TRACE ! inhibits command mode execution.

Commands passed to external environments such as UNIX, WINDOWS or SEDIT
will be displayed, but not executed.

As each command is displayed, the RC REXX variable is set to 0.

Note that commands entered manually in interactive debug mode are always
executed.

Using the TRACE ! command a second time switches ON the command execution.

Example:        TRACE ?!i       switches interactive debug mode ON,
                                inhibits command execution, and displays
                                intermediate results.

Warning:  When running S/REXX within SEDIT in a windowing environment
          such as OPEN WINDOWS or MOTIF, all input and output operations
          are redirected to the window SEDIT was started from.
          In order to allow the input operations to execute properly,
          SEDIT must run in the foreground.
          Starting SEDIT in the background with a command like "xed &" or
          "sedit" will make SEDIT hang every time a TRACE ? or a PULL
          instruction is executed.

          When running S/REXX within SEDIT on WINDOWS, all input and
          output operations are redirected to a console window created by
          S/REXX. This console window can be removed by the Special-Close
          Console menubar item.



TRACE x starts the RXD graphical debugger.

S/REXX displays more information during a TRACE output.
Consider the following example:

-----------------------------------------------------------------------
trace i

a = 2
str = "This is a"
id  = 1
tab.a = substr(str||" string", id+1, 2)
-----------------------------------------------------------------------

The usual REXX implementation would display the following cryptic output:

-----------------------------------------------------------------------
    5 *-* a = 2
      >L>   "2"
    6 *-* str = "This is a"
      >L>   "This is a"
    7 *-* id = 1
      >L>   "1"
    8 *-* tab.a = substr(str || " string",id + 1,2)
      >V>   "This is a"
      >L>   " string"
      >O>   "This is a string"
      >V>   "1"
      >L>   "1"
      >O>   "2"
      >L>   "2"
      >F>   "hi"
-----------------------------------------------------------------------

S/REXX will display:

-----------------------------------------------------------------------
  5 *-* a = 2
    >>> A <-- "2"

  6 *-* str = "This is a"
    >>> STR <-- "This is a"

  7 *-* id  = 1
    >>> ID <-- "1"

  8 *-* tab.a = substr(str||" string", id+1, 2)
    >C> TAB.A --> "TAB.2"
    >V> STR --> "This is a"
    >O> "This is a" || " string" --> "This is a string"
    >V> ID --> "1"
    >O> "1" + "1" --> "2"
    >F> SUBSTR() --> "hi"
    >>> TAB.2 <-- "hi"
-----------------------------------------------------------------------


TRACE y      starts the RXD graphical debugger next time the user sends an
             interrupt by typing Control-C (S/REXX standalone scripts
             only).
