/*
 * Public S/REXX declarations
 */

#define Max(a,b)   ( ((a) > (b)) ? (a) : (b) )
#define Min(a,b)   ( ((a) > (b)) ? (b) : (a) )

char *strdupa(), *malloc_a(), *realloc_a(), *strconc();
double rx_round();
void it2str();

typedef struct sav_comp SAV_COMP;
typedef struct lex LEX;

typedef struct str              /* rexx.h */
 { char *str;
   int len;
 } STR;

typedef struct item
 { enum { IT_DB, IT_STR } type;
   union
    { STR str;
      double db;
    } val;
   int prec;
 } ITEM;

typedef struct built         /* built.h */
 {  char *name;
    int  len;
    ITEM *(*fn)();
 }  BUILT;


/*
 * it2str number buffer
 */
#define ST1  0
#define ST2  1
#define ST3  2
#define ST4  3
#define ST5  4
#define ST6  5
#define ST7  6
#define ST8  7
#define ST9  8
#define ST10 9

/*
 * Declaration needed to build a WinMain NT .exe
 */
#ifdef NT_WINMAIN

# include<windows.h>
  extern HINSTANCE hInstance_gd, hPrevInstance_gd;
  extern LPTSTR lpCmdLine_gd;
  extern int nCmdShow_gd;

# define Set_WinMain                        \
     int argc, lav;                         \
     char **argv, *av;                      \
                                            \
     mkarg_nt(&argv, &argc);                \
     hInstance_gd      = hInstance;         \
     hPrevInstance_gd  = hPrevInstance;     \
     lpCmdLine_gd      = lpCmdLine;         \
     nCmdShow_gd       = nCmdShow;

#endif
