/*
 * ssedit: Saber / Sedit interface
 *
 *    Must receive:   argv[1] = +line
 *                    argv[2] = filename
 *
 *   Include the following in your .saberinit file:
 *
 *          setopt editor ssedit +%d %s
 *
 *
 *   Modify .sabertool to have the edit window outside the screen:
 *
 *         /Saber/Edit/Frame/Window/Rect "0 5000 901 527"
 *
 */

#include <stdio.h>

#include <sys/types.h>    /* open */
#include <sys/stat.h>     /* open */
#include <fcntl.h>        /* open */

#include <sys/param.h>    /* MAXPATHLEN */

#define TEST 0

#define Max(a,b)   ( ((a) > (b)) ? (a) : (b) )


main(argc,argv)
  int argc;
  char **argv;
{
  register i;
  int fd, nl, nlp;
  FILE *out;
  char buff[MAXPATHLEN+20];


#ifdef Sun
  if ( -1 == (fd = open("/dev/console", O_WRONLY)) )
   { fprintf(stderr, "ssedit: Unable to open \"/dev/console\"\n");
     sleep(2);
     return(1);
   }

  out = fdopen(fd, "w");
#else
  out = stderr;
#endif

#if TEST
  for (i=1; i<argc; i++)
     fprintf (out, "%d : %s\n", i, argv[i]);
#else

  if (argc != 3)
   { fprintf(out, "ssedit: usage: ssedit +line filename\n");
     sleep(2);
     return(1);
   }

  if ( 1 != sscanf(argv[1], "+%d", &nl))
   { fprintf(out, "ssedit: invalid line number %s\n", argv[1]);
     fprintf(out, "ssedit: usage: ssedit +line filename\n");
     sleep(2);
     return(1);
   }

  nlp = Max(1, nl-6);

  sprintf(buff, "xed %s\n:%d\ncursor file %d", argv[2], nlp, nl);
  /* sprintf(buff, "xed %s\n%d\n", argv[2], nl); */

  /* fprintf(out, "ssedit: sending \"%s\"\n", buff); */
  send_sedit(buff);

#endif

 /*
  * Saber does not like us to disappear too fast
  */
  sleep(1);

  return(0);
}
