#! /bin/csh -f
#
#  Wb_compile: runs the COMPILE-FILE command on the Program Builder
#

#
#  Save the current context
#
if ( $?WB_CONTEXT_FILE ) then
  set wbfile = $WB_CONTEXT_FILE
  set wbhost = $WB_CONTEXT_HOST
  set wbdir  = $WB_CONTEXT_DIRECTORY
else
  set wbfile = ''
  set wbhost = ''
  set wbdir  = ''
endif

set fname = `extract fname`

if ($fname[1] == '0') then
  sends 'prompt wb_compile: Edit a file first'
endif

set ft = `extract ftype`
set file = $fname[2]$ft[2]

if ( '' == $wbfile ) then
  sends "setenv WB_CONTEXT_FILE $file" "Set_context"
  if ( $status != 0 ) then
    exit 1
  endif
else
  sends "wb_setc $file $wbdir $wbhost"
endif

#
#  Has the current file been modified?
#

sends 'Prompt_save'

sends 'wb_send BUILD COMPILE-FILE'

if ( wbfile != '' ) then
  setenv WB_CONTEXT_FILE $wbfile
  sends "wb_setc $WB_CONTEXT_FILE $WB_CONTEXT_DIRECTORY $WB_CONTEXT_HOST"
endif
