#
# set_sun_t5: specific setting for Sun type 5 keyboard
#
#keyboard . 2
set NBKEYS      11 12 15
set BACKSPACE   ^h

set F1          ONLY aquit
set F2          ONLY c_ext
set F3          ONLY save
set F4          ONLY c_split
set F5          ONLY switch
set F6          ONLY c_endline
set F7          ONLY backward
set F8          ONLY forward
set F9          ONLY ?
set F10         ONLY home
set F11         ONLY compress
set F12         ONLY =
set S-F1        ONLY c_lineadd
set S-F2        ONLY c_ext
set S-F3        ONLY file
set S-F5        ONLY iswitch
set S-F6        ONLY c_endcurl
set S-F7        ONLY pgup
set S-F8        ONLY pgdown
set S-F9        ONLY ?i
set S-F10       ONLY home
set S-F11       ONLY top
set S-F12       ONLY bot
set C-F1        ONLY flquit
set C-F3        ONLY flfile
set C-F7        ONLY left40
set C-F8        ONLY right40
set R1          ONLY complete
set s-R1        ONLY complete reverse
set R9          ONLY backward
set R15         ONLY forward
set S-R2        ONLY top
set S-R3        ONLY bot
set S-R9        ONLY pgup
set S-R15       ONLY pgdown

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

#
#  "Control-R1" will clear the command field without moving the cursor
#
set C-R1        ONLY delayhome

#
#  "Control-R5" will comment in or out the selection, or the cursor line
#
set C-R5        ONLY filter $xhome/filters/$arch/toggle_comment

set L2          ONLY match
set S-L2        ONLY match cursor
set L4          ONLY undo
set L6          ONLY s_copy
set L8          ONLY s_paste
set L9          ONLY s_find
set L10         ONLY s_cut
set L11         ONLY help
set S-L1        ONLY help
set S-L4        ONLY redo
set S-L9        ONLY s_find
set S-L11       ONLY help task
set C-L11       ONLY help rexx
set C-L9        ONLY s_find
set ^=          ONLY c_dup

# Compiles the file currently edited
set ^c          ONLY smart_comp 0
set ^C          ONLY smart_comp 1
set ^g          ONLY smart_compd 0
set ^G          ONLY smart_compd 1

# See the next compilation error
set ^-          ONLY nexterror


# Useful  to see what we are editing
set ^n          ONLY f $fn *
set ^N          ONLY f $fn * $fd
set ^D ONLY f * * "$fd"

set ^X          ONLY s_man
set ^a          ONLY c_lineadd
set ^d          ONLY c_linedel
set ^e          ONLY c_apltrace
set ^f          ONLY f
set ^h          ONLY c_scrh
set ^l          ONLY s_lower

# Prints the file currently edited
set ^p          ONLY shell lpr -h $name &

set ^r          ONLY tree
set ^s          ONLY c_aplstop
set ^t          ONLY tree
set ^u          ONLY s_upper
set ^v          ONLY c_scrv
set ^w          ONLY c_scrj
set ^x          ONLY s_xed
set ^z          ONLY left0

set HOME  R7
set IHOME R13
set CAPS  M-R13
set APL         R11
set DOWN_FIELD  Alt
set UP_FIELD    LF
set EOF         L3
set BACKSPACE   ^h
unsetenv SUN_USES_NUMLOCK
set SERVER      sun


#  We do not need INS, since there is a INS key on Sun type 4 keyboard
set INS


#############

# Sets PREV_FIELD to the Num-lock Key when the keyboard/US*.kt file is
# in use. Read the header section of this file to find out how to install it.

set PREV_FIELD R6

# Control-Page Up
set C-R9        ONLY filter $xhome/filters/$arch/toggle_comment


setp "1:Q  2:E  3:Save  4:Sp  5:x  6:cu  7:U  8:D  9:?  10:h  12:=  S-11:top  S-12:bot"
